Bug 194900 - net/citrix_ica: does not install ICA_CERTS
Summary: net/citrix_ica: does not install ICA_CERTS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-08 14:56 UTC by Helge Oldach
Modified: 2015-08-26 08:41 UTC (History)
3 users (show)

See Also:


Attachments
patch fixing both issues (820 bytes, patch)
2014-11-08 14:57 UTC, Helge Oldach
no flags Details | Diff
patch plus blank line fix (877 bytes, patch)
2014-11-08 15:15 UTC, Helge Oldach
no flags Details | Diff
patch fixing the home directory issue (611 bytes, patch)
2014-11-08 18:23 UTC, Helge Oldach
no flags Details | Diff
Patch against latest revision (only installs custom certs) (883 bytes, patch)
2015-08-25 14:03 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2014-11-08 14:56:18 UTC
This port does handle, but actually not install the additional certificates that are specified by the ICA_CERTS environment.

Second, the wfcmgr and wfica Linux binaries are lacking execute permissions.
Comment 1 Helge Oldach 2014-11-08 14:57:10 UTC
Created attachment 149190 [details]
patch fixing both issues
Comment 2 Helge Oldach 2014-11-08 15:15:52 UTC
Created attachment 149191 [details]
patch plus blank line fix
Comment 3 Helge Oldach 2014-11-08 18:22:40 UTC
Hmmm. it seems that the logic of this port installation is kind of redundant. Firstly, do-install runs the ./setupwfc script which basically installs the port into the stageing directory correctly without asking questions. But then the port's tree is copied from the working directory ito the stage directory again. No idea what the reason is. Anyhow it does not harm at present. I'd volunteer to rework the stuff if nobody else feels inclined.

However, the latest change to this port a couple of days ago kind-of broke it nevertheless due to an unfortunate change of pkg-plist: It is vital that %%PREFIX%%/ICAClient/config/.server and %%PREFIX%%/ICAClient/config/module.ini are present, otherwise the client programs will refuse to read files from ~/.ICAClient (i.e. user's home directories). I have added another patch to fix this. Please apply both.
Comment 4 Helge Oldach 2014-11-08 18:23:18 UTC
Created attachment 149199 [details]
patch fixing the home directory issue
Comment 5 Pawel Pekala freebsd_committer 2014-12-18 22:54:37 UTC
Fails make check-plist:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir ICAClient/help
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: ICAClient/config/.server
Error: Missing: ICAClient/config/module.ini
===> Error: Plist issues found.
*** Error code 1
Comment 6 Helge Oldach 2015-03-05 08:05:37 UTC
With both patches applied, there are indeed some orphaned files. These are not needed, therefore harmless.

But the missing files are gone.
Comment 7 Emanuel Haupt freebsd_committer 2015-08-25 13:43:18 UTC
Does this issue still exist with the current version?
Comment 8 Helge Oldach 2015-08-25 14:03:45 UTC
Created attachment 160349 [details]
Patch against latest revision (only installs custom certs)
Comment 9 Helge Oldach 2015-08-25 14:04:32 UTC
Partly - the custom certs are still not installed in the latest rev. Patch attached, previous patches obsoleted.
Comment 10 commit-hook freebsd_committer 2015-08-26 08:40:47 UTC
A commit references this bug:

Author: ehaupt
Date: Wed Aug 26 08:40:22 UTC 2015
New revision: 395351
URL: https://svnweb.freebsd.org/changeset/ports/395351

Log:
  - Restore functionality of ICA_CERTS (was broken after r391627) [1]
  - Adjust wfcmgr wrapper to run the now renamed configuration utility configmgr.
    Retain name to avoid possible namespace collision due to its generic name.
  - Make various scripts executable

  PR:             194900 [1]
  Submitted by:   Helge Oldach <freebsd@oldach.net>

Changes:
  head/net/citrix_ica/Makefile
  head/net/citrix_ica/files/wfcmgr.in
  head/net/citrix_ica/pkg-plist